Bug 842952 - Built-in webcam not working on F17
Built-in webcam not working on F17
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 00:32 EDT by Chip
Modified: 2013-08-01 03:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:47:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshw output (13.13 KB, text/plain)
2012-07-25 00:32 EDT, Chip
no flags Details

  None (edit)
Description Chip 2012-07-25 00:32:52 EDT
Created attachment 600221 [details]
lshw output

Description of problem:
Built-in webcam is not working, when cheese is launched, I get this error:

[Xis@localhost ~]$ cheese
libv4l2: error turning on stream: Input/output error
** (cheese:3953): WARNING **: Error starting streaming on device '/dev/video0'.
** (cheese:3953): WARNING **: Could not negotiate format

as root
[root@localhost Xis]# cheese
** (cheese:4999): WARNING **: The connection is closed
** (cheese:4999): WARNING **: The connection is closed
** (cheese:4999): WARNING **: The connection is closed
** (cheese:4999): WARNING **: The connection is closed
libv4l2: error turning on stream: Input/output error
** (cheese:4999): WARNING **: Error starting streaming on device '/dev/video0'.
** (cheese:4999): WARNING **: Could not negotiate format

##########
[Xis@localhost ~]$ dmesg|grep video
[    0.242689] pci 0000:00:02.0: Boot video device
[   24.513933] Linux video capture interface: v2.00
[   25.037217] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[   25.056720] usbcore: registered new interface driver uvcvideo
[  162.254421] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 4232.660256] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 4634.489188] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 5214.910276] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 5221.660285] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 5226.069325] video LNXVIDEO:00: Restoring backlight state
[ 5227.165176] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 5233.906835] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 6005.661308] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 6535.239468] uvcvideo: Non-zero status (-84) in status completion handler.
[ 6536.340192] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 6829.945192] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 8520.700509] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 8650.584310] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 9259.530301] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)
[ 9275.872254] uvcvideo: Found UVC 1.00 device CNF7051 (04f2:b070)

#####
[Xis@localhost ~]$ getfacl /dev/video0
getfacl: /dev/video0: No such file or directory

as root

[root@localhost Xis]# getfacl /dev/video0
getfacl: Removing leading '/' from absolute path names
# file: dev/video0
# owner: root
# group: video
user::rw-
user:Xis:rw-
group::rw-
mask::rw-
other::---

tried as root
# setfacl -m u:Xis:rw /dev/video0

and then

[Xis@localhost ~]$ getfacl /dev/video0
getfacl: Removing leading '/' from absolute path names
# file: dev/video0
# owner: root
# group: video
user::rw-
user:Xis:rw-
group::rw-
mask::rw-
other::---

and still did not solve the problem

[Xis@localhost ~]$ cheese
libv4l2: error turning on stream: Input/output error
** (cheese:5160): WARNING **: Error starting streaming on device '/dev/video0'.
** (cheese:5160): WARNING **: Could not negotiate format
###

Version-Release number of selected component (if applicable):

cheese 3.4.3-3.fc17
cheese-libs 3.4.3-3.fc17
gstreamer-plugins-bad-0.10.23-1.fc17.x86_64
gstreamer-plugins-bad-free-0.10.23-7.fc17.x86_64
gstreamer-plugins-bad-free-extras-0.10.23-7.fc17.x86_64
gstreamer-plugins-bad-nonfree-0.10.22-3.fc17.x86_64
gstreamer-plugins-base-0.10.36-1.fc17.x86_64
gstreamer-plugins-good-0.10.31-4.fc17.x86_64
gstreamer-plugins-ugly-0.10.19-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1.Open terminal
2.$ cheese
3.can't use webcam

Actual results:
can't access to webcam device

Expected results:
to use webcam in cheese, pidgin, empathy and other

Additional info:
ddreggors on #fedora IRC channel suggested all steps above

After comparing gstreamer-plugins, he suggested to install gstreamer-plugins devel packages and this solved the problem. It is very unlikely that devel packages solved the problem, but a dependency package.

IT IS NOW SOLVED AFTER INSTALLING DEVEL PACKAGES.

PLEASE CHECK.

HW:
Toshiba A305-S6905
(see attachment)

SW:
Fedora 17
Kernel 3.4.6-2.fc17.x86_64
Comment 1 Fedora End Of Life 2013-07-03 22:13:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 03:47:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.